Page MenuHomePhabricator

UW duplicates messages from core
Closed, ResolvedPublic

Description

Notice: Key 8:api-error-duplicate already belongs to core, conflict with ext-uploadwizard [Called from MessageIndex::checkAndAdd in /srv/mediawiki/tags/2017-01-01_10:10:11/extensions/Translate/utils/MessageIndex.php at line 309] in /srv/mediawiki/tags/2017-01-01_10:10:11/includes/debug/MWDebug.php on line 309

Notice: Key 8:api-error-duplicate-archive already belongs to core, conflict with ext-uploadwizard [Called from MessageIndex::checkAndAdd in /srv/mediawiki/tags/2017-01-01_10:10:11/extensions/Translate/utils/MessageIndex.php at line 309] in /srv/mediawiki/tags/2017-01-01_10:10:11/includes/debug/MWDebug.php on line 309

Notice: Key 8:api-error-noimageinfo already belongs to core, conflict with ext-uploadwizard [Called from MessageIndex::checkAndAdd in /srv/mediawiki/tags/2017-01-01_10:10:11/extensions/Translate/utils/MessageIndex.php at line 309] in /srv/mediawiki/tags/2017-01-01_10:10:11/includes/debug/MWDebug.php on line 309

Notice: Key 8:api-error-timeout already belongs to core, conflict with ext-uploadwizard [Called from MessageIndex::checkAndAdd in /srv/mediawiki/tags/2017-01-01_10:10:11/extensions/Translate/utils/MessageIndex.php at line 309] in /srv/mediawiki/tags/2017-01-01_10:10:11/includes/debug/MWDebug.php on line 309

Notice: Key 8:api-error-unknown-warning already belongs to core, conflict with ext-uploadwizard [Called from MessageIndex::checkAndAdd in /srv/mediawiki/tags/2017-01-01_10:10:11/extensions/Translate/utils/MessageIndex.php at line 309] in /srv/mediawiki/tags/2017-01-01_10:10:11/includes/debug/MWDebug.php on line 309

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJan 2 2017, 7:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I plan to remove them from core now that they're merged back into UW.
(Almost) all of those api-error- messages aren't used anywhere else, and all but these few have become obsolete now.

https://gerrit.wikimedia.org/r/#/c/331230/ and https://gerrit.wikimedia.org/r/#/c/331232/ almost resolve this. Looks like 'api-error-unknown-warning' is the single remaining duplicated one.

Change 333156 had a related patch set uploaded (by Matthias Mullie):
Deduplicate i18n message

https://gerrit.wikimedia.org/r/333156

matmarex closed this task as Resolved.Jan 20 2017, 8:23 PM
matmarex removed a project: Patch-For-Review.

Change 333156 merged by jenkins-bot:
Deduplicate i18n message

https://gerrit.wikimedia.org/r/333156